vshed.IO.UncShare 1.0.2

dotnet add package vshed.IO.UncShare --version 1.0.2
NuGet\Install-Package vshed.IO.UncShare -Version 1.0.2
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="vshed.IO.UncShare" Version="1.0.2" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add vshed.IO.UncShare --version 1.0.2
#r "nuget: vshed.IO.UncShare, 1.0.2"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install vshed.IO.UncShare as a Cake Addin
#addin nuget:?package=vshed.IO.UncShare&version=1.0.2

// Install vshed.IO.UncShare as a Cake Tool
#tool nuget:?package=vshed.IO.UncShare&version=1.0.2

Overview

.Net library for accessing UNC Shares with an alternative identity without the need to manage mapping and unmapping. This was created to simplify picking up output files from legacy industrial equipment for data analytics.

GitHub release

Example Usage

using vshed.IO.UncShare;

...

try
{
    using (var share = new UncShare(@"\\hostName\networkShareName"
                                    , "userAccount"
                                    , "password"))
    {
        if (share.GetFiles().Length >= 1)
            Console.WriteLine("Files found");
        else
            Console.WriteLine("No files found");
    }
}
catch (System.ComponentModel.Win32Exception ex)
{
    if (ex.NativeErrorCode == 53)
        Console.WriteLine("The specified UNC Path could not be found");
    else if ((ex.NativeErrorCode == 86 | ex.NativeErrorCode == 1326)
        Console.WriteLine("The specified Username or Password is invalid");
    else
        Console.WriteLine(ex.Message);
}

Win32Exception

For a complete list of possible exceptions please reference Microsoft documentation. Currently located here https://docs.microsoft.com/en-us/openspecs/windows_protocols/ms-erref/18d8fbe8-a967-4f1c-ae50-99ca8e491d2d

Product Compatible and additional computed target framework versions.
.NET net5.0 was computed.  net5.0-windows was computed.  net6.0 was computed.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp2.0 was computed.  netcoreapp2.1 was computed.  netcoreapp2.2 was computed.  netcoreapp3.0 was computed.  netcoreapp3.1 was computed. 
.NET Standard netstandard2.0 is compatible.  netstandard2.1 was computed. 
.NET Framework net461 was computed.  net462 is compatible.  net463 was computed.  net47 is compatible.  net471 was computed.  net472 was computed.  net48 was computed.  net481 was computed. 
MonoAndroid monoandroid was computed. 
MonoMac monomac was computed. 
MonoTouch monotouch was computed. 
Tizen tizen40 was computed.  tizen60 was computed. 
Xamarin.iOS xamarinios was computed. 
Xamarin.Mac xamarinmac was computed. 
Xamarin.TVOS xamarintvos was computed. 
Xamarin.WatchOS xamarinwatchos was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.
  • .NETFramework 4.6.2

    • No dependencies.
  • .NETFramework 4.7

    • No dependencies.
  • .NETStandard 2.0

    • No dependencies.

NuGet packages

This package is not used by any NuGet packages.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.0.2 1,439 10/17/2020
1.0.1 692 3/10/2019
1.0.0 527 3/9/2019

Modified to add support for Net 4.6.2 per request